Module java.desktop
Package javax.swing

## Class AbstractButton.ButtonChangeListener

- java.lang.Object
- - javax.swing.AbstractButton.ButtonChangeListener

- All Implemented Interfaces:
    `Serializable`, `EventListener`, `ChangeListener`
  Enclosing class:
    AbstractButton

      protected class AbstractButton.ButtonChangeListener
      extends Object
      implements ChangeListener, Serializable

  Extends `ChangeListener` to be serializable.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.event.ChangeListener

      `stateChanged`